package be.selckin.ws.util.java2php;

import be.selckin.ws.util.java2php.php.PhpService;
import be.selckin.ws.util.java2php.php.PhpType;

import java.util.List;

public class EndPoint {
    private final List<PhpService> services;
    private final List<PhpType> types;

    public EndPoint(List<PhpService> services, List<PhpType> types) {
        this.services = Utils.sort(services, Utils.SERVICE_COMPARATOR);
        this.types = Utils.sort(types, Utils.PHP_TYPE_COMPARATOR);
    }

    public List<PhpService> getServices() {
        return services;
    }

    public List<PhpType> getTypes() {
        return types;
    }
}
