package be.selckin.ws.util.java2php.php;

public class TypeHint {
    private final boolean array;
    private final boolean primitive;
    private final String name;

    public TypeHint(boolean array) {
        this.array = array;
        this.primitive = true;
        this.name = "";
    }

    public TypeHint(boolean array, String name) {
        this.array = array;
        this.primitive = false;
        this.name = name;
    }

    public boolean isArray() {
        return array;
    }

    public boolean isPrimitive() {
        return primitive;
    }

    public String getName() {
        return name;
    }
}
