package be.selckin.ws.util.java2php.php;

import java.util.List;

public class Operation {
    private final String name;
    private final List<Argument> arguments;
    private final TypeHint typeHint;

    public Operation(String name, TypeHint typeHint, List<Argument> arguments) {
        this.name = name;
        this.typeHint = typeHint;
        this.arguments = arguments;
    }

    public String getName() {
        return name;
    }

    public TypeHint getTypeHint() {
        return typeHint;
    }

    public List<Argument> getArguments() {
        return arguments;
    }
}
