package be.selckin.ws.util.java2php.php;

import javax.xml.namespace.QName;
import java.util.List;

public class PhpEnum extends PhpType  {
    private final List<String> values;

    public PhpEnum(QName qName, String namespace, String name, List<String> values) {
        super(qName, namespace, name);
        this.values = values;
    }

    public List<String> getValues() {
        return values;
    }
}

